require 'sketchup.rb'
require 'toggleWindows.rb'


if( not file_loaded? 'toggle_panels' )


togpanels_tb = UI::Toolbar.new("SCF TOGGLE PANELS")




################################### TOGGLE STATUS BAR


cmdtp1 = UI::Command.new("Toggle Status Bar") { Sketchup.send_action 59393 }
cmdtp1.large_icon = 'TogglePanels/status_24.png'
cmdtp1.small_icon = 'TogglePanels/status_16.png'
cmdtp1.tooltip = cmdtp1.status_bar_text = "Toggle Status Bar"
togpanels_tb.add_item(cmdtp1)


################################### TOGGLE SCENE TABS


cmdtp2 = UI::Command.new("Toggle Scene Tabs") { Sketchup.send_action 10534 }
cmdtp2.large_icon = 'TogglePanels/tabs_24.png'
cmdtp2.small_icon = 'TogglePanels/tabs_16.png'
cmdtp2.tooltip = cmdtp2.status_bar_text = "Toggle Scene Tabs"
togpanels_tb.add_item(cmdtp2)


################################### TOGGLE   ENTITY INFO
  
  
  def toginfo()
    if @toggle==1
      if windowIsVisible('Entity Info')
        closeWindow('Entity Info')
      else
        Sketchup.send_action 21488
      end
      @toggle=0
    else
      if windowIsVisible('Entity Info')
        if not @toggle ### 1st go
          if isRolledUp('Entity Info')
            toggleRollUp('Entity Info')
          else
            closeWindow('Entity Info')
          end          
        else
          closeWindow('Entity Info')
        end
      else
        Sketchup.send_action 21488
      end
      @toggle=1
    end#if
  end#def
  
  
cmdtp3 = UI::Command.new("Entity Info") { toginfo }
cmdtp3.large_icon = 'TogglePanels/info_24.png'
cmdtp3.small_icon = 'TogglePanels/info_16.png'
cmdtp3.tooltip = cmdtp3.status_bar_text = "Entity Info"
togpanels_tb.add_item(cmdtp3)


###################################   TOGGLE COMPONENTS


  def togcomps()
    if @toggle==1
      if windowIsVisible('Components')
        closeWindow('Components')
      else
        UI.show_inspector "Components"
      end
      @toggle=0
    else
      if windowIsVisible('Components')
        if not @toggle ### 1st go
          if isRolledUp('Components')
            toggleRollUp('Components')
          else
            closeWindow('Components')
          end          
        else
          closeWindow('Components')
        end
      else
        UI.show_inspector "Components"
      end
      @toggle=1
    end#if
  end#def
  
  
cmdtp4 = UI::Command.new("Toggle Components") { togcomps }
cmdtp4.large_icon = 'TogglePanels/comps_24.png'
cmdtp4.small_icon = 'TogglePanels/comps_16.png'
cmdtp4.tooltip = cmdtp4.status_bar_text = "Toggle Components"
togpanels_tb.add_item(cmdtp4)


################################### TOGGLE MATERIALS


  def togmatz()
    if @toggle==1
      if windowIsVisible('Materials')
        closeWindow('Materials')
      else
        UI.show_inspector "Materials"
      end
      @toggle=0
    else
      if windowIsVisible('Materials')
        if not @toggle ### 1st go
          if isRolledUp('Materials')
            toggleRollUp('Materials')
          else
            closeWindow('Materials')
          end          
        else
          closeWindow('Materials')
        end
      else
        UI.show_inspector "Materials"
      end
      @toggle=1
    end#if
  end#def
  
  
cmdtp5 = UI::Command.new("Toggle Materials") { togmatz }
cmdtp5.large_icon = 'TogglePanels/mats_24.png'
cmdtp5.small_icon = 'TogglePanels/mats_16.png'
cmdtp5.tooltip = cmdtp5.status_bar_text = "Toggle Materials"
togpanels_tb.add_item(cmdtp5)


###################################  TOGGLE SCENES


  def togscenes()
    if @toggle==1
      if windowIsVisible('Scenes')
        closeWindow('Scenes')
      else
        UI.show_inspector "Scenes"
      end
      @toggle=0
    else
      if windowIsVisible('Scenes')
        if not @toggle ### 1st go
          if isRolledUp('Scenes')
            toggleRollUp('Scenes')
          else
            closeWindow('Scenes')
          end          
        else
          closeWindow('Scenes')
        end
      else
        UI.show_inspector "Scenes"
      end
      @toggle=1
    end#if
  end#def
  
  
cmdtp6 = UI::Command.new("Toggle Scenes") { togscenes }
cmdtp6.large_icon = 'TogglePanels/scenes_24.png'
cmdtp6.small_icon = 'TogglePanels/scenes_16.png'
cmdtp6.tooltip = cmdtp6.status_bar_text = "Toggle Scenes"
togpanels_tb.add_item(cmdtp6)



################################### TOGGLE  SHADOW SETTINGS


  def togshad()
    if @toggle==1
      if windowIsVisible('Shadow Settings')
        closeWindow('Shadow Settings')
      else
        Sketchup.send_action 1212
      end
      @toggle=0
    else
      if windowIsVisible('Shadow Settings')
        if not @toggle ### 1st go
          if isRolledUp('Shadow Settings')
            toggleRollUp('Shadow Settings')
          else
            closeWindow('Shadow Settings')
          end          
        else
          closeWindow('Shadow Settings')
        end
      else
        Sketchup.send_action 1212
      end
      @toggle=1
    end#if
  end#def
  
  
cmdtp7 = UI::Command.new("Toggle Shadows") { togshad }
cmdtp7.large_icon = 'TogglePanels/shad_24.png'
cmdtp7.small_icon = 'TogglePanels/shad_16.png'
cmdtp7.tooltip = cmdtp7.status_bar_text = "Toggle Shadows"
togpanels_tb.add_item(cmdtp7)


################################### TOGGLE LAYERS


  def toglayers()
    if @toggle==1
      if windowIsVisible('Layers')
        closeWindow('Layers')
      else
        UI.show_inspector "Layers"
      end
      @toggle=0
    else
      if windowIsVisible('Layers')
        if not @toggle ### 1st go
          if isRolledUp('Layers')
            toggleRollUp('Layers')
          else
            closeWindow('Layers')
          end          
        else
          closeWindow('Layers')
        end
      else
        UI.show_inspector "Layers"
      end
      @toggle=1
    end#if
  end#def

  
cmdtp8 = UI::Command.new("Toggle Layers") { toglayers }
cmdtp8.large_icon = 'TogglePanels/layers_24.png'
cmdtp8.small_icon = 'TogglePanels/layers_16.png'
cmdtp8.tooltip = cmdtp8.status_bar_text = "Toggle Layers"
togpanels_tb.add_item(cmdtp8)


################################### TOGGLE STYLES


  def togstyles()
    if @toggle==1
      if windowIsVisible('Styles')
        closeWindow('Styles')
      else
        UI.show_inspector "Styles"
      end
      @toggle=0
    else
      if windowIsVisible('Styles')
        if not @toggle ### 1st go
          if isRolledUp('Styles')
            toggleRollUp('Styles')
          else
            closeWindow('Styles')
          end          
        else
          closeWindow('Styles')
        end
      else
        UI.show_inspector "Styles"
      end
      @toggle=1
    end#if
  end#def

  
cmdtp9 = UI::Command.new("Toggle Styles") { togstyles }
cmdtp9.large_icon = 'TogglePanels/styles_24.png'
cmdtp9.small_icon = 'TogglePanels/styles_16.png'
cmdtp9.tooltip = cmdtp9.status_bar_text = "Toggle Styles"
togpanels_tb.add_item(cmdtp9)


################################### TOGGLE ALL PANELS


cmdtp10 = UI::Command.new("Toggle Panels") { Sketchup.send_action 21926 }
cmdtp10.large_icon = 'TogglePanels/all_24.png'
cmdtp10.small_icon = 'TogglePanels/all_16.png'
cmdtp10.tooltip = cmdtp10.status_bar_text = "Toggle Panels"
togpanels_tb.add_item(cmdtp10)





end

file_loaded('toggle_panels.rb')


